#!/bin/sh
#
# syslog        Starts syslogd/klogd.
#
#

[ -f /sbin/syslogd ] || exit 0
# [ -f /sbin/klogd ] || exit 0

SYSLOGD_OPTIONS="-m 0 -p /tmp/log"
#KLOGD_OPTIONS="-2"

RETVAL=0

umask 077

start() {
    echo -n "Loading device drivers for CMC."
	cd /
	/sbin/insmod lib/modules/2.6.14/i2c-core.ko
	/sbin/insmod lib/modules/2.6.14/i2c-dev.ko
	/sbin/insmod lib/modules/2.6.14/i2c-ibm_iic.ko
	/sbin/insmod lib/modules/2.6.14/gpio.ko
	/sbin/insmod lib/modules/2.6.14/xilinx_i2c.ko
	/sbin/insmod lib/modules/2.6.14/ds1337.ko
    return $RETVAL
}   

case "$1" in
  start)
    start
    ;;
  stop)
    ;;
  *)
    echo "Usage: $0 {start|stop|restart|condrestart}"
    exit 1
esac

exit $?

